Bug 70693 - repeating events: RRULE with nth recurrence not supported
Summary: repeating events: RRULE with nth recurrence not supported
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: 1.3
Hardware: x86 (IA32) Linux (All)
: medium enhancement
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 86102
  Show dependency treegraph
 
Reported: 2013-10-20 19:31 UTC by Daniel
Modified: 2018-10-13 12:39 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Daniel 2013-10-20 19:31:39 UTC
In Memotoo I have two events with yearly interval, but at the first thuesday of the month instead of a fixed day. In Evolution these events are non repeatable events after sync. I downloaded my data from Memotoo, opened the calendar file and searched the event. The rule are:
RRULE:FREQ=YEARLY;INTERVAL=1;BYDAY=1TH

If I change this in Evolution, after sync the repeats are lost at Memotoo.

The same is with frequency monthly and interval 12. It seems there is some misunderstanding between Memotoo, Syncevolution and Evolution. And in Evolution I can only choose monthly if I have not a fixed day.
Comment 1 Patrick Ohly 2013-12-09 13:53:29 UTC
Looks like a conversion problem of the recurrence rule. I can try to replicate this, but don't hold your breath.
Comment 2 Patrick Ohly 2014-07-23 12:50:51 UTC
It turned out that the Synthesis engine lacks support for RRULEs with BYDAY/BYMONTH values including a number (e.g. "first Monday"). It only supports BYDAY=MO, not BYDAY=1MO.

I'll keep this open as a feature request but don't have time to work on it myself at the moment - sorry.
Comment 3 Daniel 2015-06-02 17:35:19 UTC
Thank you, Patrick. Because of such things I changed from SyncML to CalDAV a few months ago on my own server. There are no such problems there.
Comment 4 GitLab Migration User 2018-10-13 12:39:16 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/syncevolution/issues/20.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.